Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class PrepareMessageType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
          com.atomikos.icatch.jaxb.atomikos.v200510.PrepareMessageType

    public class PrepareMessageType

extends TransactionMessageType

Java class for PrepareMessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PrepareMessageType">
       <complexContent>
         <extension base="{http://www.atomikos.com/schemas/2005/10/transactions}TransactionMessageType">
           <sequence>
             <element name="CascadeInfo" type="{http://www.atomikos.com/schemas/2005/10/transactions}CascadeInfoType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected List<CascadeInfoType>` | `cascadeInfo`

Fields inherited from class com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
`sender, target`

Constructor Summary
`PrepareMessageType()`

Method Summary
`List<CascadeInfoType>` | `getCascadeInfo()` Gets the value of the cascadeInfo property.

Methods inherited from class com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
`getSender, getTarget, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cascadeInfo

    protected List<CascadeInfoType> cascadeInfo

Constructor Detail

### PrepareMessageType

    public PrepareMessageType()

Method Detail

### getCascadeInfo

    public List<CascadeInfoType> getCascadeInfo()

  Gets the value of the cascadeInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cascadeInfo property.

  For example, to add a new item, do as follows:

          getCascadeInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `CascadeInfoType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.